"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserProfileSummary = exports.ListUserProfilesRequest = exports.ListTeamMembersResult = exports.TeamMember = exports.ListTeamMembersRequest = exports.ListTagsForProjectResult = exports.ListTagsForProjectRequest = exports.ListResourcesResult = exports.Resource = exports.ListResourcesRequest = exports.ListProjectsResult = exports.ProjectSummary = exports.ListProjectsRequest = exports.InvalidNextTokenException = exports.DisassociateTeamMemberResult = exports.DisassociateTeamMemberRequest = exports.UserProfileNotFoundException = exports.DescribeUserProfileResult = exports.DescribeUserProfileRequest = exports.DescribeProjectResult = exports.ProjectStatus = exports.DescribeProjectRequest = exports.DeleteUserProfileResult = exports.DeleteUserProfileRequest = exports.DeleteProjectResult = exports.DeleteProjectRequest = exports.UserProfileAlreadyExistsException = exports.CreateUserProfileResult = exports.CreateUserProfileRequest = exports.ProjectCreationFailedException = exports.ProjectAlreadyExistsException = exports.CreateProjectResult = exports.CreateProjectRequest = exports.Toolchain = exports.ToolchainSource = exports.Code = exports.CodeSource = exports.S3Location = exports.CodeDestination = exports.GitHubCodeDestination = exports.CodeCommitCodeDestination = exports.ValidationException = exports.TeamMemberAlreadyAssociatedException = exports.ProjectNotFoundException = exports.ProjectConfigurationException = exports.LimitExceededException = exports.InvalidServiceRoleException = exports.ConcurrentModificationException = exports.AssociateTeamMemberResult = exports.AssociateTeamMemberRequest = void 0;
exports.UpdateUserProfileResult = exports.UpdateUserProfileRequest = exports.UpdateTeamMemberResult = exports.UpdateTeamMemberRequest = exports.TeamMemberNotFoundException = exports.UpdateProjectResult = exports.UpdateProjectRequest = exports.UntagProjectResult = exports.UntagProjectRequest = exports.TagProjectResult = exports.TagProjectRequest = exports.ListUserProfilesResult = void 0;
const smithy_client_1 = require("@aws-sdk/smithy-client");
const CodeStarServiceException_1 = require("./CodeStarServiceException");
var AssociateTeamMemberRequest;
(function (AssociateTeamMemberRequest) {
    AssociateTeamMemberRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateTeamMemberRequest = exports.AssociateTeamMemberRequest || (exports.AssociateTeamMemberRequest = {}));
var AssociateTeamMemberResult;
(function (AssociateTeamMemberResult) {
    AssociateTeamMemberResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(AssociateTeamMemberResult = exports.AssociateTeamMemberResult || (exports.AssociateTeamMemberResult = {}));
class ConcurrentModificationException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "ConcurrentModificationException",
            $fault: "server",
            ...opts,
        });
        this.name = "ConcurrentModificationException";
        this.$fault = "server";
        Object.setPrototypeOf(this, ConcurrentModificationException.prototype);
    }
}
exports.ConcurrentModificationException = ConcurrentModificationException;
class InvalidServiceRoleException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "InvalidServiceRoleException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidServiceRoleException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidServiceRoleException.prototype);
    }
}
exports.InvalidServiceRoleException = InvalidServiceRoleException;
class LimitExceededException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "LimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "LimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LimitExceededException.prototype);
    }
}
exports.LimitExceededException = LimitExceededException;
class ProjectConfigurationException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "ProjectConfigurationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ProjectConfigurationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ProjectConfigurationException.prototype);
    }
}
exports.ProjectConfigurationException = ProjectConfigurationException;
class ProjectNotFoundException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "ProjectNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ProjectNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ProjectNotFoundException.prototype);
    }
}
exports.ProjectNotFoundException = ProjectNotFoundException;
class TeamMemberAlreadyAssociatedException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "TeamMemberAlreadyAssociatedException",
            $fault: "client",
            ...opts,
        });
        this.name = "TeamMemberAlreadyAssociatedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TeamMemberAlreadyAssociatedException.prototype);
    }
}
exports.TeamMemberAlreadyAssociatedException = TeamMemberAlreadyAssociatedException;
class ValidationException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
    }
}
exports.ValidationException = ValidationException;
var CodeCommitCodeDestination;
(function (CodeCommitCodeDestination) {
    CodeCommitCodeDestination.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CodeCommitCodeDestination = exports.CodeCommitCodeDestination || (exports.CodeCommitCodeDestination = {}));
var GitHubCodeDestination;
(function (GitHubCodeDestination) {
    GitHubCodeDestination.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.token && { token: smithy_client_1.SENSITIVE_STRING }),
    });
})(GitHubCodeDestination = exports.GitHubCodeDestination || (exports.GitHubCodeDestination = {}));
var CodeDestination;
(function (CodeDestination) {
    CodeDestination.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.gitHub && { gitHub: GitHubCodeDestination.filterSensitiveLog(obj.gitHub) }),
    });
})(CodeDestination = exports.CodeDestination || (exports.CodeDestination = {}));
var S3Location;
(function (S3Location) {
    S3Location.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(S3Location = exports.S3Location || (exports.S3Location = {}));
var CodeSource;
(function (CodeSource) {
    CodeSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CodeSource = exports.CodeSource || (exports.CodeSource = {}));
var Code;
(function (Code) {
    Code.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.destination && { destination: CodeDestination.filterSensitiveLog(obj.destination) }),
    });
})(Code = exports.Code || (exports.Code = {}));
var ToolchainSource;
(function (ToolchainSource) {
    ToolchainSource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ToolchainSource = exports.ToolchainSource || (exports.ToolchainSource = {}));
var Toolchain;
(function (Toolchain) {
    Toolchain.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.stackParameters && { stackParameters: smithy_client_1.SENSITIVE_STRING }),
    });
})(Toolchain = exports.Toolchain || (exports.Toolchain = {}));
var CreateProjectRequest;
(function (CreateProjectRequest) {
    CreateProjectRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.name && { name: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.sourceCode && { sourceCode: obj.sourceCode.map((item) => Code.filterSensitiveLog(item)) }),
        ...(obj.toolchain && { toolchain: Toolchain.filterSensitiveLog(obj.toolchain) }),
    });
})(CreateProjectRequest = exports.CreateProjectRequest || (exports.CreateProjectRequest = {}));
var CreateProjectResult;
(function (CreateProjectResult) {
    CreateProjectResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(CreateProjectResult = exports.CreateProjectResult || (exports.CreateProjectResult = {}));
class ProjectAlreadyExistsException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "ProjectAlreadyExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "ProjectAlreadyExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ProjectAlreadyExistsException.prototype);
    }
}
exports.ProjectAlreadyExistsException = ProjectAlreadyExistsException;
class ProjectCreationFailedException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "ProjectCreationFailedException",
            $fault: "client",
            ...opts,
        });
        this.name = "ProjectCreationFailedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ProjectCreationFailedException.prototype);
    }
}
exports.ProjectCreationFailedException = ProjectCreationFailedException;
var CreateUserProfileRequest;
(function (CreateUserProfileRequest) {
    CreateUserProfileRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.displayName && { displayName: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.emailAddress && { emailAddress: smithy_client_1.SENSITIVE_STRING }),
    });
})(CreateUserProfileRequest = exports.CreateUserProfileRequest || (exports.CreateUserProfileRequest = {}));
var CreateUserProfileResult;
(function (CreateUserProfileResult) {
    CreateUserProfileResult.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.displayName && { displayName: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.emailAddress && { emailAddress: smithy_client_1.SENSITIVE_STRING }),
    });
})(CreateUserProfileResult = exports.CreateUserProfileResult || (exports.CreateUserProfileResult = {}));
class UserProfileAlreadyExistsException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "UserProfileAlreadyExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "UserProfileAlreadyExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UserProfileAlreadyExistsException.prototype);
    }
}
exports.UserProfileAlreadyExistsException = UserProfileAlreadyExistsException;
var DeleteProjectRequest;
(function (DeleteProjectRequest) {
    DeleteProjectRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteProjectRequest = exports.DeleteProjectRequest || (exports.DeleteProjectRequest = {}));
var DeleteProjectResult;
(function (DeleteProjectResult) {
    DeleteProjectResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteProjectResult = exports.DeleteProjectResult || (exports.DeleteProjectResult = {}));
var DeleteUserProfileRequest;
(function (DeleteUserProfileRequest) {
    DeleteUserProfileRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteUserProfileRequest = exports.DeleteUserProfileRequest || (exports.DeleteUserProfileRequest = {}));
var DeleteUserProfileResult;
(function (DeleteUserProfileResult) {
    DeleteUserProfileResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DeleteUserProfileResult = exports.DeleteUserProfileResult || (exports.DeleteUserProfileResult = {}));
var DescribeProjectRequest;
(function (DescribeProjectRequest) {
    DescribeProjectRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeProjectRequest = exports.DescribeProjectRequest || (exports.DescribeProjectRequest = {}));
var ProjectStatus;
(function (ProjectStatus) {
    ProjectStatus.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProjectStatus = exports.ProjectStatus || (exports.ProjectStatus = {}));
var DescribeProjectResult;
(function (DescribeProjectResult) {
    DescribeProjectResult.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.name && { name: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
    });
})(DescribeProjectResult = exports.DescribeProjectResult || (exports.DescribeProjectResult = {}));
var DescribeUserProfileRequest;
(function (DescribeUserProfileRequest) {
    DescribeUserProfileRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DescribeUserProfileRequest = exports.DescribeUserProfileRequest || (exports.DescribeUserProfileRequest = {}));
var DescribeUserProfileResult;
(function (DescribeUserProfileResult) {
    DescribeUserProfileResult.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.displayName && { displayName: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.emailAddress && { emailAddress: smithy_client_1.SENSITIVE_STRING }),
    });
})(DescribeUserProfileResult = exports.DescribeUserProfileResult || (exports.DescribeUserProfileResult = {}));
class UserProfileNotFoundException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "UserProfileNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "UserProfileNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UserProfileNotFoundException.prototype);
    }
}
exports.UserProfileNotFoundException = UserProfileNotFoundException;
var DisassociateTeamMemberRequest;
(function (DisassociateTeamMemberRequest) {
    DisassociateTeamMemberRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateTeamMemberRequest = exports.DisassociateTeamMemberRequest || (exports.DisassociateTeamMemberRequest = {}));
var DisassociateTeamMemberResult;
(function (DisassociateTeamMemberResult) {
    DisassociateTeamMemberResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(DisassociateTeamMemberResult = exports.DisassociateTeamMemberResult || (exports.DisassociateTeamMemberResult = {}));
class InvalidNextTokenException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "InvalidNextTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidNextTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidNextTokenException.prototype);
    }
}
exports.InvalidNextTokenException = InvalidNextTokenException;
var ListProjectsRequest;
(function (ListProjectsRequest) {
    ListProjectsRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListProjectsRequest = exports.ListProjectsRequest || (exports.ListProjectsRequest = {}));
var ProjectSummary;
(function (ProjectSummary) {
    ProjectSummary.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ProjectSummary = exports.ProjectSummary || (exports.ProjectSummary = {}));
var ListProjectsResult;
(function (ListProjectsResult) {
    ListProjectsResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListProjectsResult = exports.ListProjectsResult || (exports.ListProjectsResult = {}));
var ListResourcesRequest;
(function (ListResourcesRequest) {
    ListResourcesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResourcesRequest = exports.ListResourcesRequest || (exports.ListResourcesRequest = {}));
var Resource;
(function (Resource) {
    Resource.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(Resource = exports.Resource || (exports.Resource = {}));
var ListResourcesResult;
(function (ListResourcesResult) {
    ListResourcesResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListResourcesResult = exports.ListResourcesResult || (exports.ListResourcesResult = {}));
var ListTagsForProjectRequest;
(function (ListTagsForProjectRequest) {
    ListTagsForProjectRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForProjectRequest = exports.ListTagsForProjectRequest || (exports.ListTagsForProjectRequest = {}));
var ListTagsForProjectResult;
(function (ListTagsForProjectResult) {
    ListTagsForProjectResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTagsForProjectResult = exports.ListTagsForProjectResult || (exports.ListTagsForProjectResult = {}));
var ListTeamMembersRequest;
(function (ListTeamMembersRequest) {
    ListTeamMembersRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTeamMembersRequest = exports.ListTeamMembersRequest || (exports.ListTeamMembersRequest = {}));
var TeamMember;
(function (TeamMember) {
    TeamMember.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TeamMember = exports.TeamMember || (exports.TeamMember = {}));
var ListTeamMembersResult;
(function (ListTeamMembersResult) {
    ListTeamMembersResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListTeamMembersResult = exports.ListTeamMembersResult || (exports.ListTeamMembersResult = {}));
var ListUserProfilesRequest;
(function (ListUserProfilesRequest) {
    ListUserProfilesRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(ListUserProfilesRequest = exports.ListUserProfilesRequest || (exports.ListUserProfilesRequest = {}));
var UserProfileSummary;
(function (UserProfileSummary) {
    UserProfileSummary.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.displayName && { displayName: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.emailAddress && { emailAddress: smithy_client_1.SENSITIVE_STRING }),
    });
})(UserProfileSummary = exports.UserProfileSummary || (exports.UserProfileSummary = {}));
var ListUserProfilesResult;
(function (ListUserProfilesResult) {
    ListUserProfilesResult.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.userProfiles && {
            userProfiles: obj.userProfiles.map((item) => UserProfileSummary.filterSensitiveLog(item)),
        }),
    });
})(ListUserProfilesResult = exports.ListUserProfilesResult || (exports.ListUserProfilesResult = {}));
var TagProjectRequest;
(function (TagProjectRequest) {
    TagProjectRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagProjectRequest = exports.TagProjectRequest || (exports.TagProjectRequest = {}));
var TagProjectResult;
(function (TagProjectResult) {
    TagProjectResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(TagProjectResult = exports.TagProjectResult || (exports.TagProjectResult = {}));
var UntagProjectRequest;
(function (UntagProjectRequest) {
    UntagProjectRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagProjectRequest = exports.UntagProjectRequest || (exports.UntagProjectRequest = {}));
var UntagProjectResult;
(function (UntagProjectResult) {
    UntagProjectResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UntagProjectResult = exports.UntagProjectResult || (exports.UntagProjectResult = {}));
var UpdateProjectRequest;
(function (UpdateProjectRequest) {
    UpdateProjectRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.name && { name: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
    });
})(UpdateProjectRequest = exports.UpdateProjectRequest || (exports.UpdateProjectRequest = {}));
var UpdateProjectResult;
(function (UpdateProjectResult) {
    UpdateProjectResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateProjectResult = exports.UpdateProjectResult || (exports.UpdateProjectResult = {}));
class TeamMemberNotFoundException extends CodeStarServiceException_1.CodeStarServiceException {
    constructor(opts) {
        super({
            name: "TeamMemberNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "TeamMemberNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TeamMemberNotFoundException.prototype);
    }
}
exports.TeamMemberNotFoundException = TeamMemberNotFoundException;
var UpdateTeamMemberRequest;
(function (UpdateTeamMemberRequest) {
    UpdateTeamMemberRequest.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTeamMemberRequest = exports.UpdateTeamMemberRequest || (exports.UpdateTeamMemberRequest = {}));
var UpdateTeamMemberResult;
(function (UpdateTeamMemberResult) {
    UpdateTeamMemberResult.filterSensitiveLog = (obj) => ({
        ...obj,
    });
})(UpdateTeamMemberResult = exports.UpdateTeamMemberResult || (exports.UpdateTeamMemberResult = {}));
var UpdateUserProfileRequest;
(function (UpdateUserProfileRequest) {
    UpdateUserProfileRequest.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.displayName && { displayName: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.emailAddress && { emailAddress: smithy_client_1.SENSITIVE_STRING }),
    });
})(UpdateUserProfileRequest = exports.UpdateUserProfileRequest || (exports.UpdateUserProfileRequest = {}));
var UpdateUserProfileResult;
(function (UpdateUserProfileResult) {
    UpdateUserProfileResult.filterSensitiveLog = (obj) => ({
        ...obj,
        ...(obj.displayName && { displayName: smithy_client_1.SENSITIVE_STRING }),
        ...(obj.emailAddress && { emailAddress: smithy_client_1.SENSITIVE_STRING }),
    });
})(UpdateUserProfileResult = exports.UpdateUserProfileResult || (exports.UpdateUserProfileResult = {}));
