import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DisassociateTeamMemberRequest, DisassociateTeamMemberResult } from "../models/models_0";
import { deserializeAws_json1_1DisassociateTeamMemberCommand, serializeAws_json1_1DisassociateTeamMemberCommand, } from "../protocols/Aws_json1_1";
var DisassociateTeamMemberCommand = (function (_super) {
    __extends(DisassociateTeamMemberCommand, _super);
    function DisassociateTeamMemberCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DisassociateTeamMemberCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeStarClient";
        var commandName = "DisassociateTeamMemberCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DisassociateTeamMemberRequest.filterSensitiveLog,
            outputFilterSensitiveLog: DisassociateTeamMemberResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DisassociateTeamMemberCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1DisassociateTeamMemberCommand(input, context);
    };
    DisassociateTeamMemberCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1DisassociateTeamMemberCommand(output, context);
    };
    return DisassociateTeamMemberCommand;
}($Command));
export { DisassociateTeamMemberCommand };
