import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListResourcesRequest, ListResourcesResult } from "../models/models_0";
import { deserializeAws_json1_1ListResourcesCommand, serializeAws_json1_1ListResourcesCommand, } from "../protocols/Aws_json1_1";
var ListResourcesCommand = (function (_super) {
    __extends(ListResourcesCommand, _super);
    function ListResourcesCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListResourcesCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeStarClient";
        var commandName = "ListResourcesCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListResourcesRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListResourcesResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListResourcesCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListResourcesCommand(input, context);
    };
    ListResourcesCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListResourcesCommand(output, context);
    };
    return ListResourcesCommand;
}($Command));
export { ListResourcesCommand };
