import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTagsForProjectRequest, ListTagsForProjectResult } from "../models/models_0";
import { deserializeAws_json1_1ListTagsForProjectCommand, serializeAws_json1_1ListTagsForProjectCommand, } from "../protocols/Aws_json1_1";
var ListTagsForProjectCommand = (function (_super) {
    __extends(ListTagsForProjectCommand, _super);
    function ListTagsForProjectCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTagsForProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeStarClient";
        var commandName = "ListTagsForProjectCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTagsForProjectRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListTagsForProjectResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTagsForProjectCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTagsForProjectCommand(input, context);
    };
    ListTagsForProjectCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTagsForProjectCommand(output, context);
    };
    return ListTagsForProjectCommand;
}($Command));
export { ListTagsForProjectCommand };
