import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListTeamMembersRequest, ListTeamMembersResult } from "../models/models_0";
import { deserializeAws_json1_1ListTeamMembersCommand, serializeAws_json1_1ListTeamMembersCommand, } from "../protocols/Aws_json1_1";
var ListTeamMembersCommand = (function (_super) {
    __extends(ListTeamMembersCommand, _super);
    function ListTeamMembersCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListTeamMembersCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeStarClient";
        var commandName = "ListTeamMembersCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListTeamMembersRequest.filterSensitiveLog,
            outputFilterSensitiveLog: ListTeamMembersResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListTeamMembersCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1ListTeamMembersCommand(input, context);
    };
    ListTeamMembersCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1ListTeamMembersCommand(output, context);
    };
    return ListTeamMembersCommand;
}($Command));
export { ListTeamMembersCommand };
