import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { TagProjectRequest, TagProjectResult } from "../models/models_0";
import { deserializeAws_json1_1TagProjectCommand, serializeAws_json1_1TagProjectCommand, } from "../protocols/Aws_json1_1";
var TagProjectCommand = (function (_super) {
    __extends(TagProjectCommand, _super);
    function TagProjectCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    TagProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeStarClient";
        var commandName = "TagProjectCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: TagProjectRequest.filterSensitiveLog,
            outputFilterSensitiveLog: TagProjectResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    TagProjectCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1TagProjectCommand(input, context);
    };
    TagProjectCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1TagProjectCommand(output, context);
    };
    return TagProjectCommand;
}($Command));
export { TagProjectCommand };
