import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UntagProjectRequest, UntagProjectResult } from "../models/models_0";
import { deserializeAws_json1_1UntagProjectCommand, serializeAws_json1_1UntagProjectCommand, } from "../protocols/Aws_json1_1";
var UntagProjectCommand = (function (_super) {
    __extends(UntagProjectCommand, _super);
    function UntagProjectCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UntagProjectCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeStarClient";
        var commandName = "UntagProjectCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UntagProjectRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UntagProjectResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UntagProjectCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UntagProjectCommand(input, context);
    };
    UntagProjectCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UntagProjectCommand(output, context);
    };
    return UntagProjectCommand;
}($Command));
export { UntagProjectCommand };
