import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateTeamMemberRequest, UpdateTeamMemberResult } from "../models/models_0";
import { deserializeAws_json1_1UpdateTeamMemberCommand, serializeAws_json1_1UpdateTeamMemberCommand, } from "../protocols/Aws_json1_1";
var UpdateTeamMemberCommand = (function (_super) {
    __extends(UpdateTeamMemberCommand, _super);
    function UpdateTeamMemberCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateTeamMemberCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CodeStarClient";
        var commandName = "UpdateTeamMemberCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateTeamMemberRequest.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateTeamMemberResult.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateTeamMemberCommand.prototype.serialize = function (input, context) {
        return serializeAws_json1_1UpdateTeamMemberCommand(input, context);
    };
    UpdateTeamMemberCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_json1_1UpdateTeamMemberCommand(output, context);
    };
    return UpdateTeamMemberCommand;
}($Command));
export { UpdateTeamMemberCommand };
