import { __assign, __extends } from "tslib";
import { SENSITIVE_STRING } from "@aws-sdk/smithy-client";
import { CodeStarServiceException as __BaseException } from "./CodeStarServiceException";
export var AssociateTeamMemberRequest;
(function (AssociateTeamMemberRequest) {
    AssociateTeamMemberRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateTeamMemberRequest || (AssociateTeamMemberRequest = {}));
export var AssociateTeamMemberResult;
(function (AssociateTeamMemberResult) {
    AssociateTeamMemberResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(AssociateTeamMemberResult || (AssociateTeamMemberResult = {}));
var ConcurrentModificationException = (function (_super) {
    __extends(ConcurrentModificationException, _super);
    function ConcurrentModificationException(opts) {
        var _this = _super.call(this, __assign({ name: "ConcurrentModificationException", $fault: "server" }, opts)) || this;
        _this.name = "ConcurrentModificationException";
        _this.$fault = "server";
        Object.setPrototypeOf(_this, ConcurrentModificationException.prototype);
        return _this;
    }
    return ConcurrentModificationException;
}(__BaseException));
export { ConcurrentModificationException };
var InvalidServiceRoleException = (function (_super) {
    __extends(InvalidServiceRoleException, _super);
    function InvalidServiceRoleException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidServiceRoleException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidServiceRoleException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidServiceRoleException.prototype);
        return _this;
    }
    return InvalidServiceRoleException;
}(__BaseException));
export { InvalidServiceRoleException };
var LimitExceededException = (function (_super) {
    __extends(LimitExceededException, _super);
    function LimitExceededException(opts) {
        var _this = _super.call(this, __assign({ name: "LimitExceededException", $fault: "client" }, opts)) || this;
        _this.name = "LimitExceededException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, LimitExceededException.prototype);
        return _this;
    }
    return LimitExceededException;
}(__BaseException));
export { LimitExceededException };
var ProjectConfigurationException = (function (_super) {
    __extends(ProjectConfigurationException, _super);
    function ProjectConfigurationException(opts) {
        var _this = _super.call(this, __assign({ name: "ProjectConfigurationException", $fault: "client" }, opts)) || this;
        _this.name = "ProjectConfigurationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ProjectConfigurationException.prototype);
        return _this;
    }
    return ProjectConfigurationException;
}(__BaseException));
export { ProjectConfigurationException };
var ProjectNotFoundException = (function (_super) {
    __extends(ProjectNotFoundException, _super);
    function ProjectNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "ProjectNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "ProjectNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ProjectNotFoundException.prototype);
        return _this;
    }
    return ProjectNotFoundException;
}(__BaseException));
export { ProjectNotFoundException };
var TeamMemberAlreadyAssociatedException = (function (_super) {
    __extends(TeamMemberAlreadyAssociatedException, _super);
    function TeamMemberAlreadyAssociatedException(opts) {
        var _this = _super.call(this, __assign({ name: "TeamMemberAlreadyAssociatedException", $fault: "client" }, opts)) || this;
        _this.name = "TeamMemberAlreadyAssociatedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TeamMemberAlreadyAssociatedException.prototype);
        return _this;
    }
    return TeamMemberAlreadyAssociatedException;
}(__BaseException));
export { TeamMemberAlreadyAssociatedException };
var ValidationException = (function (_super) {
    __extends(ValidationException, _super);
    function ValidationException(opts) {
        var _this = _super.call(this, __assign({ name: "ValidationException", $fault: "client" }, opts)) || this;
        _this.name = "ValidationException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ValidationException.prototype);
        return _this;
    }
    return ValidationException;
}(__BaseException));
export { ValidationException };
export var CodeCommitCodeDestination;
(function (CodeCommitCodeDestination) {
    CodeCommitCodeDestination.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CodeCommitCodeDestination || (CodeCommitCodeDestination = {}));
export var GitHubCodeDestination;
(function (GitHubCodeDestination) {
    GitHubCodeDestination.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.token && { token: SENSITIVE_STRING }))); };
})(GitHubCodeDestination || (GitHubCodeDestination = {}));
export var CodeDestination;
(function (CodeDestination) {
    CodeDestination.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.gitHub && { gitHub: GitHubCodeDestination.filterSensitiveLog(obj.gitHub) }))); };
})(CodeDestination || (CodeDestination = {}));
export var S3Location;
(function (S3Location) {
    S3Location.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(S3Location || (S3Location = {}));
export var CodeSource;
(function (CodeSource) {
    CodeSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CodeSource || (CodeSource = {}));
export var Code;
(function (Code) {
    Code.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.destination && { destination: CodeDestination.filterSensitiveLog(obj.destination) }))); };
})(Code || (Code = {}));
export var ToolchainSource;
(function (ToolchainSource) {
    ToolchainSource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ToolchainSource || (ToolchainSource = {}));
export var Toolchain;
(function (Toolchain) {
    Toolchain.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.stackParameters && { stackParameters: SENSITIVE_STRING }))); };
})(Toolchain || (Toolchain = {}));
export var CreateProjectRequest;
(function (CreateProjectRequest) {
    CreateProjectRequest.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign(__assign(__assign({}, obj), (obj.name && { name: SENSITIVE_STRING })), (obj.description && { description: SENSITIVE_STRING })), (obj.sourceCode && { sourceCode: obj.sourceCode.map(function (item) { return Code.filterSensitiveLog(item); }) })), (obj.toolchain && { toolchain: Toolchain.filterSensitiveLog(obj.toolchain) }))); };
})(CreateProjectRequest || (CreateProjectRequest = {}));
export var CreateProjectResult;
(function (CreateProjectResult) {
    CreateProjectResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(CreateProjectResult || (CreateProjectResult = {}));
var ProjectAlreadyExistsException = (function (_super) {
    __extends(ProjectAlreadyExistsException, _super);
    function ProjectAlreadyExistsException(opts) {
        var _this = _super.call(this, __assign({ name: "ProjectAlreadyExistsException", $fault: "client" }, opts)) || this;
        _this.name = "ProjectAlreadyExistsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ProjectAlreadyExistsException.prototype);
        return _this;
    }
    return ProjectAlreadyExistsException;
}(__BaseException));
export { ProjectAlreadyExistsException };
var ProjectCreationFailedException = (function (_super) {
    __extends(ProjectCreationFailedException, _super);
    function ProjectCreationFailedException(opts) {
        var _this = _super.call(this, __assign({ name: "ProjectCreationFailedException", $fault: "client" }, opts)) || this;
        _this.name = "ProjectCreationFailedException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, ProjectCreationFailedException.prototype);
        return _this;
    }
    return ProjectCreationFailedException;
}(__BaseException));
export { ProjectCreationFailedException };
export var CreateUserProfileRequest;
(function (CreateUserProfileRequest) {
    CreateUserProfileRequest.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.displayName && { displayName: SENSITIVE_STRING })), (obj.emailAddress && { emailAddress: SENSITIVE_STRING }))); };
})(CreateUserProfileRequest || (CreateUserProfileRequest = {}));
export var CreateUserProfileResult;
(function (CreateUserProfileResult) {
    CreateUserProfileResult.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.displayName && { displayName: SENSITIVE_STRING })), (obj.emailAddress && { emailAddress: SENSITIVE_STRING }))); };
})(CreateUserProfileResult || (CreateUserProfileResult = {}));
var UserProfileAlreadyExistsException = (function (_super) {
    __extends(UserProfileAlreadyExistsException, _super);
    function UserProfileAlreadyExistsException(opts) {
        var _this = _super.call(this, __assign({ name: "UserProfileAlreadyExistsException", $fault: "client" }, opts)) || this;
        _this.name = "UserProfileAlreadyExistsException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, UserProfileAlreadyExistsException.prototype);
        return _this;
    }
    return UserProfileAlreadyExistsException;
}(__BaseException));
export { UserProfileAlreadyExistsException };
export var DeleteProjectRequest;
(function (DeleteProjectRequest) {
    DeleteProjectRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteProjectRequest || (DeleteProjectRequest = {}));
export var DeleteProjectResult;
(function (DeleteProjectResult) {
    DeleteProjectResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteProjectResult || (DeleteProjectResult = {}));
export var DeleteUserProfileRequest;
(function (DeleteUserProfileRequest) {
    DeleteUserProfileRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteUserProfileRequest || (DeleteUserProfileRequest = {}));
export var DeleteUserProfileResult;
(function (DeleteUserProfileResult) {
    DeleteUserProfileResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DeleteUserProfileResult || (DeleteUserProfileResult = {}));
export var DescribeProjectRequest;
(function (DescribeProjectRequest) {
    DescribeProjectRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeProjectRequest || (DescribeProjectRequest = {}));
export var ProjectStatus;
(function (ProjectStatus) {
    ProjectStatus.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProjectStatus || (ProjectStatus = {}));
export var DescribeProjectResult;
(function (DescribeProjectResult) {
    DescribeProjectResult.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.name && { name: SENSITIVE_STRING })), (obj.description && { description: SENSITIVE_STRING }))); };
})(DescribeProjectResult || (DescribeProjectResult = {}));
export var DescribeUserProfileRequest;
(function (DescribeUserProfileRequest) {
    DescribeUserProfileRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DescribeUserProfileRequest || (DescribeUserProfileRequest = {}));
export var DescribeUserProfileResult;
(function (DescribeUserProfileResult) {
    DescribeUserProfileResult.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.displayName && { displayName: SENSITIVE_STRING })), (obj.emailAddress && { emailAddress: SENSITIVE_STRING }))); };
})(DescribeUserProfileResult || (DescribeUserProfileResult = {}));
var UserProfileNotFoundException = (function (_super) {
    __extends(UserProfileNotFoundException, _super);
    function UserProfileNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "UserProfileNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "UserProfileNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, UserProfileNotFoundException.prototype);
        return _this;
    }
    return UserProfileNotFoundException;
}(__BaseException));
export { UserProfileNotFoundException };
export var DisassociateTeamMemberRequest;
(function (DisassociateTeamMemberRequest) {
    DisassociateTeamMemberRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateTeamMemberRequest || (DisassociateTeamMemberRequest = {}));
export var DisassociateTeamMemberResult;
(function (DisassociateTeamMemberResult) {
    DisassociateTeamMemberResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(DisassociateTeamMemberResult || (DisassociateTeamMemberResult = {}));
var InvalidNextTokenException = (function (_super) {
    __extends(InvalidNextTokenException, _super);
    function InvalidNextTokenException(opts) {
        var _this = _super.call(this, __assign({ name: "InvalidNextTokenException", $fault: "client" }, opts)) || this;
        _this.name = "InvalidNextTokenException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, InvalidNextTokenException.prototype);
        return _this;
    }
    return InvalidNextTokenException;
}(__BaseException));
export { InvalidNextTokenException };
export var ListProjectsRequest;
(function (ListProjectsRequest) {
    ListProjectsRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListProjectsRequest || (ListProjectsRequest = {}));
export var ProjectSummary;
(function (ProjectSummary) {
    ProjectSummary.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ProjectSummary || (ProjectSummary = {}));
export var ListProjectsResult;
(function (ListProjectsResult) {
    ListProjectsResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListProjectsResult || (ListProjectsResult = {}));
export var ListResourcesRequest;
(function (ListResourcesRequest) {
    ListResourcesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResourcesRequest || (ListResourcesRequest = {}));
export var Resource;
(function (Resource) {
    Resource.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(Resource || (Resource = {}));
export var ListResourcesResult;
(function (ListResourcesResult) {
    ListResourcesResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListResourcesResult || (ListResourcesResult = {}));
export var ListTagsForProjectRequest;
(function (ListTagsForProjectRequest) {
    ListTagsForProjectRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForProjectRequest || (ListTagsForProjectRequest = {}));
export var ListTagsForProjectResult;
(function (ListTagsForProjectResult) {
    ListTagsForProjectResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTagsForProjectResult || (ListTagsForProjectResult = {}));
export var ListTeamMembersRequest;
(function (ListTeamMembersRequest) {
    ListTeamMembersRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTeamMembersRequest || (ListTeamMembersRequest = {}));
export var TeamMember;
(function (TeamMember) {
    TeamMember.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TeamMember || (TeamMember = {}));
export var ListTeamMembersResult;
(function (ListTeamMembersResult) {
    ListTeamMembersResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListTeamMembersResult || (ListTeamMembersResult = {}));
export var ListUserProfilesRequest;
(function (ListUserProfilesRequest) {
    ListUserProfilesRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(ListUserProfilesRequest || (ListUserProfilesRequest = {}));
export var UserProfileSummary;
(function (UserProfileSummary) {
    UserProfileSummary.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.displayName && { displayName: SENSITIVE_STRING })), (obj.emailAddress && { emailAddress: SENSITIVE_STRING }))); };
})(UserProfileSummary || (UserProfileSummary = {}));
export var ListUserProfilesResult;
(function (ListUserProfilesResult) {
    ListUserProfilesResult.filterSensitiveLog = function (obj) { return (__assign(__assign({}, obj), (obj.userProfiles && {
        userProfiles: obj.userProfiles.map(function (item) { return UserProfileSummary.filterSensitiveLog(item); }),
    }))); };
})(ListUserProfilesResult || (ListUserProfilesResult = {}));
export var TagProjectRequest;
(function (TagProjectRequest) {
    TagProjectRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagProjectRequest || (TagProjectRequest = {}));
export var TagProjectResult;
(function (TagProjectResult) {
    TagProjectResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(TagProjectResult || (TagProjectResult = {}));
export var UntagProjectRequest;
(function (UntagProjectRequest) {
    UntagProjectRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagProjectRequest || (UntagProjectRequest = {}));
export var UntagProjectResult;
(function (UntagProjectResult) {
    UntagProjectResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UntagProjectResult || (UntagProjectResult = {}));
export var UpdateProjectRequest;
(function (UpdateProjectRequest) {
    UpdateProjectRequest.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.name && { name: SENSITIVE_STRING })), (obj.description && { description: SENSITIVE_STRING }))); };
})(UpdateProjectRequest || (UpdateProjectRequest = {}));
export var UpdateProjectResult;
(function (UpdateProjectResult) {
    UpdateProjectResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateProjectResult || (UpdateProjectResult = {}));
var TeamMemberNotFoundException = (function (_super) {
    __extends(TeamMemberNotFoundException, _super);
    function TeamMemberNotFoundException(opts) {
        var _this = _super.call(this, __assign({ name: "TeamMemberNotFoundException", $fault: "client" }, opts)) || this;
        _this.name = "TeamMemberNotFoundException";
        _this.$fault = "client";
        Object.setPrototypeOf(_this, TeamMemberNotFoundException.prototype);
        return _this;
    }
    return TeamMemberNotFoundException;
}(__BaseException));
export { TeamMemberNotFoundException };
export var UpdateTeamMemberRequest;
(function (UpdateTeamMemberRequest) {
    UpdateTeamMemberRequest.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateTeamMemberRequest || (UpdateTeamMemberRequest = {}));
export var UpdateTeamMemberResult;
(function (UpdateTeamMemberResult) {
    UpdateTeamMemberResult.filterSensitiveLog = function (obj) { return (__assign({}, obj)); };
})(UpdateTeamMemberResult || (UpdateTeamMemberResult = {}));
export var UpdateUserProfileRequest;
(function (UpdateUserProfileRequest) {
    UpdateUserProfileRequest.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.displayName && { displayName: SENSITIVE_STRING })), (obj.emailAddress && { emailAddress: SENSITIVE_STRING }))); };
})(UpdateUserProfileRequest || (UpdateUserProfileRequest = {}));
export var UpdateUserProfileResult;
(function (UpdateUserProfileResult) {
    UpdateUserProfileResult.filterSensitiveLog = function (obj) { return (__assign(__assign(__assign({}, obj), (obj.displayName && { displayName: SENSITIVE_STRING })), (obj.emailAddress && { emailAddress: SENSITIVE_STRING }))); };
})(UpdateUserProfileResult || (UpdateUserProfileResult = {}));
