import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeStarClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeStarClient";
import { AssociateTeamMemberRequest, AssociateTeamMemberResult } from "../models/models_0";
export interface AssociateTeamMemberCommandInput extends AssociateTeamMemberRequest {
}
export interface AssociateTeamMemberCommandOutput extends AssociateTeamMemberResult, __MetadataBearer {
}

export declare class AssociateTeamMemberCommand extends $Command<AssociateTeamMemberCommandInput, AssociateTeamMemberCommandOutput, CodeStarClientResolvedConfig> {
    readonly input: AssociateTeamMemberCommandInput;
    constructor(input: AssociateTeamMemberCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeStarClientResolvedConfig, options?: __HttpHandlerOptions): Handler<AssociateTeamMemberCommandInput, AssociateTeamMemberCommandOutput>;
    private serialize;
    private deserialize;
}
