import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeStarClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeStarClient";
import { ListTagsForProjectRequest, ListTagsForProjectResult } from "../models/models_0";
export interface ListTagsForProjectCommandInput extends ListTagsForProjectRequest {
}
export interface ListTagsForProjectCommandOutput extends ListTagsForProjectResult, __MetadataBearer {
}

export declare class ListTagsForProjectCommand extends $Command<ListTagsForProjectCommandInput, ListTagsForProjectCommandOutput, CodeStarClientResolvedConfig> {
    readonly input: ListTagsForProjectCommandInput;
    constructor(input: ListTagsForProjectCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeStarClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListTagsForProjectCommandInput, ListTagsForProjectCommandOutput>;
    private serialize;
    private deserialize;
}
