import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeStarClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeStarClient";
import { ListTeamMembersRequest, ListTeamMembersResult } from "../models/models_0";
export interface ListTeamMembersCommandInput extends ListTeamMembersRequest {
}
export interface ListTeamMembersCommandOutput extends ListTeamMembersResult, __MetadataBearer {
}

export declare class ListTeamMembersCommand extends $Command<ListTeamMembersCommandInput, ListTeamMembersCommandOutput, CodeStarClientResolvedConfig> {
    readonly input: ListTeamMembersCommandInput;
    constructor(input: ListTeamMembersCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeStarClientResolvedConfig, options?: __HttpHandlerOptions): Handler<ListTeamMembersCommandInput, ListTeamMembersCommandOutput>;
    private serialize;
    private deserialize;
}
