import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeStarClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeStarClient";
import { TagProjectRequest, TagProjectResult } from "../models/models_0";
export interface TagProjectCommandInput extends TagProjectRequest {
}
export interface TagProjectCommandOutput extends TagProjectResult, __MetadataBearer {
}

export declare class TagProjectCommand extends $Command<TagProjectCommandInput, TagProjectCommandOutput, CodeStarClientResolvedConfig> {
    readonly input: TagProjectCommandInput;
    constructor(input: TagProjectCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeStarClientResolvedConfig, options?: __HttpHandlerOptions): Handler<TagProjectCommandInput, TagProjectCommandOutput>;
    private serialize;
    private deserialize;
}
