import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeStarClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeStarClient";
import { UntagProjectRequest, UntagProjectResult } from "../models/models_0";
export interface UntagProjectCommandInput extends UntagProjectRequest {
}
export interface UntagProjectCommandOutput extends UntagProjectResult, __MetadataBearer {
}

export declare class UntagProjectCommand extends $Command<UntagProjectCommandInput, UntagProjectCommandOutput, CodeStarClientResolvedConfig> {
    readonly input: UntagProjectCommandInput;
    constructor(input: UntagProjectCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeStarClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UntagProjectCommandInput, UntagProjectCommandOutput>;
    private serialize;
    private deserialize;
}
