import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CodeStarClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CodeStarClient";
import { UpdateTeamMemberRequest, UpdateTeamMemberResult } from "../models/models_0";
export interface UpdateTeamMemberCommandInput extends UpdateTeamMemberRequest {
}
export interface UpdateTeamMemberCommandOutput extends UpdateTeamMemberResult, __MetadataBearer {
}

export declare class UpdateTeamMemberCommand extends $Command<UpdateTeamMemberCommandInput, UpdateTeamMemberCommandOutput, CodeStarClientResolvedConfig> {
    readonly input: UpdateTeamMemberCommandInput;
    constructor(input: UpdateTeamMemberCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CodeStarClientResolvedConfig, options?: __HttpHandlerOptions): Handler<UpdateTeamMemberCommandInput, UpdateTeamMemberCommandOutput>;
    private serialize;
    private deserialize;
}
