import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { AssociateTeamMemberCommandInput, AssociateTeamMemberCommandOutput } from "../commands/AssociateTeamMemberCommand";
import { CreateProjectCommandInput, CreateProjectCommandOutput } from "../commands/CreateProjectCommand";
import { CreateUserProfileCommandInput, CreateUserProfileCommandOutput } from "../commands/CreateUserProfileCommand";
import { DeleteProjectCommandInput, DeleteProjectCommandOutput } from "../commands/DeleteProjectCommand";
import { DeleteUserProfileCommandInput, DeleteUserProfileCommandOutput } from "../commands/DeleteUserProfileCommand";
import { DescribeProjectCommandInput, DescribeProjectCommandOutput } from "../commands/DescribeProjectCommand";
import { DescribeUserProfileCommandInput, DescribeUserProfileCommandOutput } from "../commands/DescribeUserProfileCommand";
import { DisassociateTeamMemberCommandInput, DisassociateTeamMemberCommandOutput } from "../commands/DisassociateTeamMemberCommand";
import { ListProjectsCommandInput, ListProjectsCommandOutput } from "../commands/ListProjectsCommand";
import { ListResourcesCommandInput, ListResourcesCommandOutput } from "../commands/ListResourcesCommand";
import { ListTagsForProjectCommandInput, ListTagsForProjectCommandOutput } from "../commands/ListTagsForProjectCommand";
import { ListTeamMembersCommandInput, ListTeamMembersCommandOutput } from "../commands/ListTeamMembersCommand";
import { ListUserProfilesCommandInput, ListUserProfilesCommandOutput } from "../commands/ListUserProfilesCommand";
import { TagProjectCommandInput, TagProjectCommandOutput } from "../commands/TagProjectCommand";
import { UntagProjectCommandInput, UntagProjectCommandOutput } from "../commands/UntagProjectCommand";
import { UpdateProjectCommandInput, UpdateProjectCommandOutput } from "../commands/UpdateProjectCommand";
import { UpdateTeamMemberCommandInput, UpdateTeamMemberCommandOutput } from "../commands/UpdateTeamMemberCommand";
import { UpdateUserProfileCommandInput, UpdateUserProfileCommandOutput } from "../commands/UpdateUserProfileCommand";
export declare const serializeAws_json1_1AssociateTeamMemberCommand: (input: AssociateTeamMemberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateProjectCommand: (input: CreateProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1CreateUserProfileCommand: (input: CreateUserProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteProjectCommand: (input: DeleteProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DeleteUserProfileCommand: (input: DeleteUserProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeProjectCommand: (input: DescribeProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DescribeUserProfileCommand: (input: DescribeUserProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1DisassociateTeamMemberCommand: (input: DisassociateTeamMemberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListProjectsCommand: (input: ListProjectsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListResourcesCommand: (input: ListResourcesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTagsForProjectCommand: (input: ListTagsForProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListTeamMembersCommand: (input: ListTeamMembersCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1ListUserProfilesCommand: (input: ListUserProfilesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1TagProjectCommand: (input: TagProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UntagProjectCommand: (input: UntagProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateProjectCommand: (input: UpdateProjectCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateTeamMemberCommand: (input: UpdateTeamMemberCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_json1_1UpdateUserProfileCommand: (input: UpdateUserProfileCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_json1_1AssociateTeamMemberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<AssociateTeamMemberCommandOutput>;
export declare const deserializeAws_json1_1CreateProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateProjectCommandOutput>;
export declare const deserializeAws_json1_1CreateUserProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateUserProfileCommandOutput>;
export declare const deserializeAws_json1_1DeleteProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteProjectCommandOutput>;
export declare const deserializeAws_json1_1DeleteUserProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteUserProfileCommandOutput>;
export declare const deserializeAws_json1_1DescribeProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeProjectCommandOutput>;
export declare const deserializeAws_json1_1DescribeUserProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeUserProfileCommandOutput>;
export declare const deserializeAws_json1_1DisassociateTeamMemberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DisassociateTeamMemberCommandOutput>;
export declare const deserializeAws_json1_1ListProjectsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListProjectsCommandOutput>;
export declare const deserializeAws_json1_1ListResourcesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListResourcesCommandOutput>;
export declare const deserializeAws_json1_1ListTagsForProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForProjectCommandOutput>;
export declare const deserializeAws_json1_1ListTeamMembersCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTeamMembersCommandOutput>;
export declare const deserializeAws_json1_1ListUserProfilesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListUserProfilesCommandOutput>;
export declare const deserializeAws_json1_1TagProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagProjectCommandOutput>;
export declare const deserializeAws_json1_1UntagProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagProjectCommandOutput>;
export declare const deserializeAws_json1_1UpdateProjectCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateProjectCommandOutput>;
export declare const deserializeAws_json1_1UpdateTeamMemberCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateTeamMemberCommandOutput>;
export declare const deserializeAws_json1_1UpdateUserProfileCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateUserProfileCommandOutput>;
